//***************************************************************************************
//***
//***	Projectname:	Control Interface
//***	Filename:		IO.h
//***	Shortcut:		IO
//***	Author:			Ralf Hochhausen
//***	Date:			22.10.2003
//***	Acual Version:	V1.0 (Initial Version)
//***	
//***	Description:	Basic initialization of the IO Ports. Every port using module 
//***					has to initialize its used ports by itself
//***
//***	File-History:	22.10.2003
//***					V1.0	Initial Version	
//***
//***************************************************************************************

#ifndef __IO_H

#define __IO_H

//***************************************************************************************
//***
//***	Function:		void IO_vInit(void)
//***	
//***	Return Type:	void
//***
//***	Parameters:		none
//***	
//***	Basic initialization of the IO Ports. Every port using module has to initialize
//***	its used ports by itself
//***
//***************************************************************************************
void IO_vInit(void);

#endif
